## ros-indigo-ur5-moveit-config 1.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ur5_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-ur5-moveit-config (1.1.11-0trusty) trusty; urgency=high

  * Merge pull request #321 <https://github.com//ros-industrial/universal_robot/issues/321> from gavanderhoorn/bp_266_indigo-devel
    Backport #266 <https://github.com//ros-industrial/universal_robot/issues/266> to Indigo.
  * Reduce longest valid segment fraction to accomodate non-limited version of the UR5 (#266 <https://github.com//ros-industrial/universal_robot/issues/266>)
  * Contributors: G.A. vd. Hoorn, Scott Paulin

 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-ur5-moveit-config (1.1.10-0trusty) trusty; urgency=high

  * Fix Deprecated warning in MoveIt: parameter moved into namespace 'trajectory_execution'
  * Contributors: Dave Coleman

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-indigo-ur5-moveit-config (1.1.9-0trusty) trusty; urgency=high

  * use '--inorder' for jade+ xacro as well.
  * make RViz load MoveIt display by default.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 01 Jan 2017 23:00:00 -0000

ros-indigo-ur5-moveit-config (1.1.8-0trusty) trusty; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 29 Dec 2016 23:00:00 -0000

ros-indigo-ur5-moveit-config (1.1.7-0trusty) trusty; urgency=high

  * Don't depend on moveit_plugins metapackage
  * Fix xacro warnings in Jade
  * Contributors: Dave Coleman, Jon Binney

 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 28 Dec 2016 23:00:00 -0000

ros-indigo-ur5-moveit-config (1.1.6-0trusty) trusty; urgency=high

  * add missing dependency for moveit_simple_controller_manager
  * Merge branch 'indigo-devel' of github.com:ros-industrial/universal_robot into ur3_moveit_config
  * apply latest setup assistant changes to ur5 and ur10
  * Adding comment explaining the choice of default planning algorithm
  * Use RRTConnect by default for UR5
    Fixes bug #193 <https://github.com/ros-industrial/universal_robot/issues/193> about slow planning on Indigo
    LBKPIECE1 (the previous default) looks to be the wrong planning algorithm for the robot
    See https://groups.google.com/forum/#!topic/moveit-users/M71T-GaUNgg
  * crop ik solutions wrt joint_limits
  * set planning time to 0
  * reduce planning attempts in moveit rviz plugin
  * Contributors: Marco Esposito, ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-ur5-moveit-config (1.0.2-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-ur5-moveit-config (1.0.1-0trusty) trusty; urgency=high

  * Merge branch 'hydro-devel' of github.com:ros-industrial/universal_robot into hydro
  * changes due to file renaming
  * update moveit_configs: include ee_link and handle limited robot
  * new moveit_configs for ur5 and ur10
  * remove old ur5_moveit_config
  * Contributors: Florian Weisshardt, ipa-fxm
  * ur5_moveit_cfg: add missing run_depend ind_rob_simulator. Fix #38 <https://github.com/ros-industrial/universal_robot/issues/38>.
  * update moveit_configs to use moveit_simple_controller_manager
  * Added config files missed on last commit
  * Added launch/configuration files for using real robot.  Updated joint limits to velocity limits of the driver (all of which can be configured to make the robot move faster)
  * Removed ur5_joint_limited_moveit_config.  ur5_moveit_config now has limited joint ranges to plus/minus 180 degrees.
  * Added ur5 moveit library.  The Kinematics used by the ur5 move it library is unreliable and should be replaced with the ur_kinematics
  * Contributors: Jeremy Zoss, Shaun Edwards, gavanderhoorn

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sun, 30 Mar 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-ur5-moveit-config
Section: misc
Priority: extra
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-ur-description
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-indigo-ur5-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-moveit-fake-controller-manager, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-visualization, ros-indigo-moveit-simple-controller-manager, ros-indigo-robot-state-publisher, ros-indigo-ur-description, ros-indigo-xacro
Description: An automatically generated package with all the configuration and launch files for using the ur5 with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ur5-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
